Page MenuHomePhabricator

codfw: 4 VM request for kubernetes staging
Closed, ResolvedPublic

Description

Site/Location: codfw
Number of systems: 4
Service: kubernetes staging
Networking Requirements: internal IP
Processor Requirements: 1
Memory: 3G
Disks: 20G
Other Requirements:
Names: kubestagetcd200{1,2,3}.codfw.wmnet, kubestagemaster2001.codfw.wmnet

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2020, 1:42 PM

Mentioned in SAL (#wikimedia-operations) [2020-11-25T13:43:36Z] <akosiaris> assign IPs to kubestage200{1,2,3}.codfw.wmnet, kubestagemaster2001.codfw.wmnet in netbox T268747

akosiaris renamed this task from Site: 4 VM request for kubernetes staging in codfw to codfw: 4 VM request for kubernetes staging.Nov 25 2020, 2:05 PM

Change 643707 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] Introduce kubestage codfw machineso

https://gerrit.wikimedia.org/r/643707

Change 643707 merged by Alexandros Kosiaris:
[operations/puppet@production] Introduce kubestage codfw machines

https://gerrit.wikimedia.org/r/643707

Change 643725 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] ssl: ship _etcd-server-ssl._tcp.k8s3-staging.codfw.wmnet.crt

https://gerrit.wikimedia.org/r/643725

Change 643725 merged by Alexandros Kosiaris:
[operations/puppet@production] ssl: ship _etcd-server-ssl._tcp.k8s3-staging.codfw.wmnet.crt

https://gerrit.wikimedia.org/r/643725

Change 643729 had a related patch set uploaded (by Alexandros Kosiaris; owner: Alexandros Kosiaris):
[operations/puppet@production] ssl: #2 ship _etcd-server-ssl._tcp.k8s3-staging.codfw.wmnet.crt

https://gerrit.wikimedia.org/r/643729

Change 643729 merged by Alexandros Kosiaris:
[operations/puppet@production] ssl: #2 ship _etcd-server-ssl._tcp.k8s3-staging.codfw.wmnet.crt

https://gerrit.wikimedia.org/r/643729

akosiaris closed this task as Resolved.Dec 3 2020, 9:39 AM

VMs are up and running and the services (etcd, apiserver) have been setup on them